{% extends 'base.html' %}
{% load static %}
{% block style %}
{% endblock %}
{% block content %}

    <div class=" vh-100 w-100 d-flex justify-content-center align-items-center flex-column">
    <div class="login-container card">
    <h2 class="card-title">Войти</h2>
  <form class="needs-validation"  method="post" novalidate>
  {% csrf_token %}
  {% for error in form.non_field_errors %}
        <div class="alert alert-danger">
            <strong>{{ error|escape }}</strong>
        </div>
    {% endfor %}
    {% for field in form %}
            {% if field.errors %}
                <div class="control-group error">
                    <label class="control-label">{{ field.label }}</label>
                    <div class="controls">{{ field }}
                        <span class="help-inline">
                            {% for error in  field.errors %}{{ error }}{% endfor %}
                        </span>
                    </div>
                </div>
            {% else %}
                <div class="form-group d-flex flex-column align-items-center">
                    <label class="control-label">{{ field.label }}</label>
                    <div class="controls">{{ field }}
                        {% if field.help_text %}
                            <p class="help-inline"><small>{{ field.help_text }}</small></p>
                        {% endif %}
                    </div>
                </div>
            {% endif %}
        {% endfor %}
  <div class="d-flex justify-content-center">
    <button type="submit" class="btn btn-primary" style="max-width: 254px">Войти</button>
      </div>
  </form>
              <a href="/user/password_reset" class="mt-4">Забыли пароль?</a>
    </div>
    </div>
{% endblock %}

{% block script %}
    <script>
    (function() {
  'use strict';
  window.addEventListener('load', function() {
    // Get the forms we want to add validation styles to
    var forms = document.getElementsByClassName('needs-validation');
    // Loop over them and prevent submission
    var validation = Array.prototype.filter.call(forms, function(form) {
      form.addEventListener('submit', function(event) {
        if (form.checkValidity() === false) {
          event.preventDefault();
          event.stopPropagation();
        }
        form.classList.add('was-validated');
      }, false);
    });
  }, false);
})();
    </script>
{% endblock %}